For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Update an integration

PUT
/v1/admin/integrations/:integration_id/
PUT
/v1/admin/integrations/:integration_id/
$curl -X PUT https://api.propexo.com/v1/admin/integrations/integration_id/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "result": {
3 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
4 "created_at": "2023-11-01T09:15:00Z",
5 "updated_at": "2024-06-10T16:45:00Z",
6 "name": "AppFolio Integration - Downtown Properties",
7 "integration_vendor": "APPFOLIO",
8 "active": true,
9 "system": "PRODUCTION",
10 "is_archived": false,
11 "new_properties_are_enabled": true,
12 "sync_frequency": 15,
13 "sync_cadence": "MINUTE",
14 "base_url": "https://api.appfolio.com/v1",
15 "max_request_cadence": "SECOND",
16 "max_request_frequency": 10,
17 "max_job_concurrency": 5,
18 "custom_sync_schedule": {
19 "type": "WEEK_BASED",
20 "timezone": "America/New_York",
21 "interval": {
22 "SUNDAY": {
23 "slots": [
24 {
25 "start": "08:00",
26 "end": "12:00",
27 "sync_frequency": 30,
28 "sync_cadence": "MINUTE"
29 }
30 ]
31 },
32 "MONDAY": {
33 "slots": [
34 {
35 "start": "09:00",
36 "end": "17:00",
37 "sync_frequency": 15,
38 "sync_cadence": "MINUTE"
39 }
40 ]
41 },
42 "TUESDAY": {
43 "slots": [
44 {
45 "start": "09:00",
46 "end": "17:00",
47 "sync_frequency": 15,
48 "sync_cadence": "MINUTE"
49 }
50 ]
51 },
52 "WEDNESDAY": {
53 "slots": [
54 {
55 "start": "09:00",
56 "end": "17:00",
57 "sync_frequency": 15,
58 "sync_cadence": "MINUTE"
59 }
60 ]
61 },
62 "THURSDAY": {
63 "slots": [
64 {
65 "start": "09:00",
66 "end": "17:00",
67 "sync_frequency": 15,
68 "sync_cadence": "MINUTE"
69 }
70 ]
71 },
72 "FRIDAY": {
73 "slots": [
74 {
75 "start": "09:00",
76 "end": "16:00",
77 "sync_frequency": 15,
78 "sync_cadence": "MINUTE"
79 }
80 ]
81 },
82 "SATURDAY": {
83 "slots": [
84 {
85 "start": "10:00",
86 "end": "14:00",
87 "sync_frequency": 30,
88 "sync_cadence": "MINUTE"
89 }
90 ]
91 }
92 }
93 },
94 "use_custom_sync_schedule": true,
95 "allow_manual_syncs": true
96 }
97}
Update an integration
Was this page helpful?
Previous

Delete an integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

integration_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_vendorenumOptional
The integration vendor
credentialsmap from strings to any or objectOptional
JSON encoded credentials for accessing the integration vendor API
namestringOptional
The name of the integration
sync_frequencyintegerOptional

The interval of the scheduled sync frequency. (e.g. “12” in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.

sync_cadenceenumOptional

The cadence of the scheduled sync frequency. (e.g. “HOUR” in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.

max_request_cadenceenumOptionalDefaults to SECOND

The cadence at which to limit the max request frequency. (e.g. “SECOND” in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute

max_request_frequencydoubleOptional>=1Defaults to 1

The maximum number of requests sent to the PMS API per cadence unit. (e.g. “2” in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute

max_job_concurrencyintegerOptional1-100Defaults to 1

Maximum number of jobs that can be run at once for the integration. (e.g. “1” in the following: 1 request per 2 SECONDs)

activebooleanOptional
The active state of the integration
new_properties_are_enabledbooleanOptional
Whether or not properties need to be approved before ingesting data for them.
custom_sync_scheduleobjectOptional
A custom sync schedule configuration object
use_custom_sync_schedulebooleanOptional

Opt-in to use the configured custom_sync_schedule

systemenumOptionalDeprecated

Deprecated: Do not use.

Allowed values:
base_urlstring or nullOptionalformat: "uri"Deprecated
DEPRECATED. See specific PMS credentials for usage.
allow_manual_syncsbooleanOptionalDefaults to trueDeprecated

Deprecated: This is no longer configurable and will always be true

Response

Successful response
resultobject

Errors

400
Bad Request Error